Skip to content
OpenPostDocs
OpenPostDocs
Messaging

Wait for stored inbox changes

GET/inbox/changes

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

workspace_id*string
cursor?string
Lengthlength <= 1024
wait_seconds?integer
Formatint64
Range0 <= value <= 25
Default25

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/inbox/changes?workspace_id=string"
{  "$schema": "https://example.com/api/v1/schemas/InboxChangePage.json",  "changes": [    {      "conversation_id": "string",      "deleted": true,      "engagement_id": "string",      "kind": "conversation",      "message_id": "string",      "revision": 0    }  ],  "conversations": [    {      "archived_at": "2019-08-24T14:15:22Z",      "counterpart_avatar_url": "string",      "counterpart_handle": "string",      "counterpart_name": "string",      "counterpart_remote_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "id": "string",      "last_message_at": "2019-08-24T14:15:22Z",      "last_message_preview": "string",      "last_remote_message_id": "string",      "messaging_window_expires_at": "2019-08-24T14:15:22Z",      "platform": "string",      "read_at": "2019-08-24T14:15:22Z",      "remote_conversation_id": "string",      "social_account_id": "string",      "unread_count": 0,      "updated_at": "2019-08-24T14:15:22Z",      "workspace_id": "string"    }  ],  "cursor": "string",  "messages": [    {      "$schema": "https://example.com/api/v1/schemas/DirectMessage.json",      "attachments_json": "string",      "author_remote_id": "string",      "body": "string",      "client_operation_id": "string",      "conversation_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z",      "direction": "string",      "error_message": "string",      "id": "string",      "provider_read_at": "2019-08-24T14:15:22Z",      "remote_created_at": "2019-08-24T14:15:22Z",      "remote_message_id": "string",      "send_status": "string",      "updated_at": "2019-08-24T14:15:22Z",      "workspace_id": "string"    }  ],  "reset": true}